%define modname mssql
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 35_%{modname}.ini

%define mod_src php_mssql.c
%define mod_lib "-lsybdb_mssql -I%{_includedir}/freetds_mssql"
%define mod_def "-DHAVE_DLFCN_H -DCOMPILE_DL_MSSQL -DHAVE_MSSQL -DHAVE_FREETDS"

Summary:	MS SQL extension module for PHP
Name:		php-%{modname}
Version:	5.1.6
Release:	%mkrel 1
Group:		Development/PHP
URL:		http://www.php.net
License:	PHP License
Source0:	%{modname}.ini.bz2
Requires:       freetds_mssql >= 0.62.4
BuildRequires:	php-devel >= 5.1.0
BuildRequires:  freetds_mssql-devel >= 0.62.4
Conflicts:	php-sybase
Provides:	php5-mssql
Obsoletes:	php5-mssql
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This is a dynamic shared object (DSO) for PHP that will add MS SQL databases
support using the FreeTDS library.

%prep

%setup -c -T
cp -dpR %{_usrsrc}/php-devel/extensions/%{dirname}/* .

%build

%{_usrsrc}/php-devel/buildext %{modname} %{mod_src} %{mod_lib} %{mod_def}

#phpize
#%%configure2_5x --with-libdir=%{_lib} \
#    --with-%{modname}=shared,%{_prefix}
#
#%%make
#mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

bzcat %{SOURCE0} > %{inifile}
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/

%postun
# rerun ldconfig to ensure it removes links to freetds lib
ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.6-1
- rebuilt for php-5.1.6

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.4-2mdk
- rebuild

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.4-1mdk
- rebuilt for php-5.1.4

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.3-1mdk
- rebuilt for php-5.1.3

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.2-1mdk
- rebuilt against php-5.1.2

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.1-1mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0-1mdk
- rebuilt against php-5.1.0

* Sat Oct 01 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0-0.RC1.1mdk
- rebuilt against php-5.1.0RC1

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.5-1mdk
- rebuilt against php-5.0.5 (Major security fixes)

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-1mdk
- rename the package

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-1mdk
- 5.0.4

* Wed Mar 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3-6mdk
- rebuilt against latest freetds libs

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3-5mdk
- use the %%mkrel macro

* Sat Feb 19 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3-4mdk
- fix #13800

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3-3mdk
- rebuilt against a non hardened-php aware php lib

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3-2mdk
- rebuild due to hardened-php-0.2.6

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3-1mdk
- rebuilt for php-5.0.3

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2-1mdk
- rebuilt for php-5.0.2

* Sat Aug 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1-1mdk
- rebuilt for php-5.0.1

* Tue Aug 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.0-1mdk
- rebuilt for php-5.0.0
- major cleanups

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-1mdk
- built for php 4.3.6

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4-1mdk
- built for php 4.3.4

* Tue Sep 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3-2mdk
- conflicts php-sybase
- fix explicit-lib-dependency

* Sun Aug 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3-1mdk
- used the php-sybase spec file as the template
- initial cooker contrib
- close #4001






















